+ Antworten
Seite 13 von 14 ErsteErste ... 3 11 12 13 14 LetzteLetzte
Ergebnis 121 bis 130 von 131
  1. #121
    Registriert seit
    Feb 2018
    Ort
    Bochum
    Beiträge
    607

    Zitat Zitat von Nall-chan Beitrag anzeigen
    Datenfluss inkompatibel bedeutet da ist im Modul (bei SendDataTo*)etwas bei den GUIDs vom Datenfluss falsch.
    Michael
    Hallo Michael,

    hat sich in dem Datenfluss etwas geändert von 5.0 zu 5.1? Ich habe gerade das Modul nochmal frisch unter 5.0 installiert und eingerichtet, alles i.O.

    In 5.1 bzw. 5.2 gibt's die Meldung.

    Gruß
    demel

    Nachtrag: die Meldung kommt beim ConnectParent() im Create() der Device-Instanz, die sich an die IO-Instanz binden möchte.

  2. #122
    Registriert seit
    Jun 2012
    Ort
    House of Dragons @ Lübeck
    Beiträge
    8,769

    Dann hast du da eine falsche GUID.
    Ist das die GUID vom richtigen Modul? Da gehört keine GUID vom Datenfluss rein.
    Sind die GUIDs in den ganzen modul.json richtig?
    IPS prüft das erst seit 5.1 alles korrekt.
    Michael
    on Win7VM (ESXi): I5, 24GB RAM, HW-RAID5, 3xSat | HW: CCU + 123 Geräte (506ch), EM1000, CUL, 1Wire, XBee, ELRO 433MHz, FritzBox Cable, Android Phone + Tablet, Samsung C-Serie TV +SamyGo-Ext, Onkyo NR| SW: IPS, Apache2(mod_ssl/PHP), MySQL, hMailServer, PRTG, Rising AV, Piwik, RoundCube, Wordpress, WinLIRC, WHS2011, MediaPortal, XBMC

  3. #123
    Registriert seit
    Feb 2018
    Ort
    Bochum
    Beiträge
    607

    Zitat Zitat von Nall-chan Beitrag anzeigen
    Dann hast du da eine falsche GUID.
    Ist das die GUID vom richtigen Modul? Da gehört keine GUID vom Datenfluss rein.
    Sind die GUIDs in den ganzen modul.json richtig?
    IPS prüft das erst seit 5.1 alles korrekt.
    Michael
    Hallo Michal,

    ok, wenn est mit 5.1 genau geprüft wird, wäre das ein Grund, warum es auffällt. Funktionieren tut das aber bisher trotzdem ...

    das sind meine GUIDs

    Code:
    GUIDs
    - Modul: `{0F675628-33AE-88E8-D9C4-9A2D1C7FE394}`
    - Instanzen:
      - NetatmoWeatherIO: `{26A55798-5CBC-88F6-5C7B-370B043B24F9}`
      - NetatmoWeatherConfig: `{DCA5D76C-A6F8-4762-A6C3-2FF6601DDEC8}`
      - NetatmoWeatherDevice: `{1023DB4A-D491-A0D5-17CD-380D3578D0FA}`
    - Nachrichten:
      - `{DC5A0AD3-88A5-CAED-3CA9-44C20CC20610}`: an NetatmoWeatherIO
      - `{2D42552F-2545-9145-D3C8-A299E3FDC6EA}`: an NetatmoWeatherConfig, NetatmoWeatherDevice
    
    library.json
        "id": "{0F675628-33AE-88E8-D9C4-9A2D1C7FE394}",
    
    NetatmoWeatherIO/module.json
        "id": "{26A55798-5CBC-88F6-5C7B-370B043B24F9}",
        "parentRequirements": [],
        "childRequirements": ["{2D42552F-2545-9145-D3C8-A299E3FDC6EA}"],
        "implemented": ["{DC5A0AD3-88A5-CAED-3CA9-44C20CC20610}"],
    
    NetatmoWeatherDevice/module.json
        "id": "{1023DB4A-D491-A0D5-17CD-380D3578D0FA}",
        "parentRequirements": ["{2D42552F-2545-9145-D3C8-A299E3FDC6EA}"],
        "childRequirements": [],
        "implemented": ["{2D42552F-2545-9145-D3C8-A299E3FDC6EA}"],
    
    NetatmoWeatherConfig/module.json
        "id": "{DCA5D76C-A6F8-4762-A6C3-2FF6601DDEC8}",
        "parentRequirements": ["{DC5A0AD3-88A5-CAED-3CA9-44C20CC20610}"],
        "childRequirements": [],
        "implemented": ["{2D42552F-2545-9145-D3C8-A299E3FDC6EA}"],
    NetatmoWeatherDevice::Create() macht ein

    Code:
        $this->ConnectParent('{26A55798-5CBC-88F6-5C7B-370B043B24F9}');
    also verbindet er sich doch mit der IO-Instanz .. wo ist mein Denkfehler? Ich muss mich doch mit der Instanz verbinden und nicht mit eine Datenfluss?

    Rätsel, Rätsel.
    demel

  4. #124
    Registriert seit
    Jun 2012
    Ort
    House of Dragons @ Lübeck
    Beiträge
    8,769

    parentRequirements vom Device ist falsch.
    Da muss {DC5A0AD3-88A5-CAED-3CA9-44C20CC20610} wie beim Configurator.
    Michael
    on Win7VM (ESXi): I5, 24GB RAM, HW-RAID5, 3xSat | HW: CCU + 123 Geräte (506ch), EM1000, CUL, 1Wire, XBee, ELRO 433MHz, FritzBox Cable, Android Phone + Tablet, Samsung C-Serie TV +SamyGo-Ext, Onkyo NR| SW: IPS, Apache2(mod_ssl/PHP), MySQL, hMailServer, PRTG, Rising AV, Piwik, RoundCube, Wordpress, WinLIRC, WHS2011, MediaPortal, XBMC

  5. #125
    Registriert seit
    Feb 2018
    Ort
    Bochum
    Beiträge
    607

    Zitat Zitat von Nall-chan Beitrag anzeigen
    parentRequirements vom Device ist falsch.
    Da muss {DC5A0AD3-88A5-CAED-3CA9-44C20CC20610} wie beim Configurator.
    Michael
    Oh Schande über mein Haupt ...

    Danke
    demel

  6. #126
    Registriert seit
    Feb 2018
    Ort
    Bochum
    Beiträge
    607

    Zitat Zitat von mas Beitrag anzeigen
    Hallo demel,

    ich bekomme bei der Inbetriebnahme deines Moduls beigefügte Meldung, mit dem Ergebnis, dass keine Stationen angelegt werden.
    Hallo,

    Dank Nall-chan hab' ich es gefunden ..

    Du müsste bitte das Modul aus dem Modul-Store mal entfernen und das Modul GitHub - demel42/IPSymconNetatmoWeather: Download Netatmo-Weather, save in IPS and optional transfer to Wunderground zu den Kern Instanzen -> Modules hinzufügen.
    Das geht fixer, als wenn ich das Modul erst einreiche (mit der Möglichkeit, einen im Module-Store den Beta-Kanal zu nutzen habe ich mich noch nicht beschäftigt und möchte nicht noch mehr Verwirrung schaffen).

    Wenn das bei Dir funktioniert, reiche ich das Modul wieder ein und dann kannst Du wieder das Modul aus dem Modul-Store verwenden.

    Instanzen und Konfiguration bleibt ja erhalten, da musst Du nix dran machen.

    Sorry,
    demel

  7. #127
    Registriert seit
    Oct 2006
    Ort
    München
    Beiträge
    85

    Danke für die Info. Probiere ich dann gleich aus und gebe dir Bescheid.

  8. #128
    Registriert seit
    Oct 2011
    Ort
    Hattersheim (Hessen)
    Beiträge
    6,205

    Zitat Zitat von demel42 Beitrag anzeigen
    Das geht fixer, als wenn ich das Modul erst einreiche (mit der Möglichkeit, einen im Module-Store den Beta-Kanal zu nutzen habe ich mich noch nicht beschäftigt und möchte nicht noch mehr Verwirrung schaffen).
    Das ist kein Hexenwerk, einfach einen neuen Branch Beta aus dem Master erstellen und dann auf den Branch im Module Store verweisen, das ist alles. Testing geht noch nicht aber Beta ist kein Problem.

  9. #129
    Registriert seit
    Oct 2006
    Ort
    München
    Beiträge
    85

    Hallo demel,

    Besten Dank! Funktioniert. Zwar erst beim zweiten Anlauf. Aber jetzt ist Alles gut.

    Gruß
    Andreas

  10. #130
    Registriert seit
    Feb 2018
    Ort
    Bochum
    Beiträge
    607

    Zitat Zitat von mas Beitrag anzeigen
    Hallo demel,

    Besten Dank! Funktioniert. Zwar erst beim zweiten Anlauf. Aber jetzt ist Alles gut.

    Gruß
    Andreas
    Hallo,

    die neue Version ist nun im Modul-Store verfügbar.

    Gruß
    demel